Bug 1295350 - [purple-telegram] fails to build on ppc64 due to endianness issue
[purple-telegram] fails to build on ppc64 due to endianness issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: purple-telegram (Show other bugs)
24
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Eischmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2016-01-04 03:59 EST by Rafael Fonseca
Modified: 2016-08-11 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 10:43:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Fonseca 2016-01-04 03:59:01 EST
Description of problem: purple-telegram fails to build on ppc64 with the following endianness issue:

bin/generate -g autocomplete-header auto/scheme.tlo > auto/auto-autocomplete.h || ( rm auto/auto-autocomplete.h && false )
generate: generate.c:2800: parse_tlo_file: Assertion `get_int () == 0x3a2f9be2' failed.
generate: generate.c:2800: parse_tlo_file: Assertion `get_int () == 0x3a2f9be2' failed.
generate: generate.c:2800: parse_tlo_file: Assertion `get_int () == 0x3a2f9be2' failed.
generate: generate.c:2800: parse_tlo_file: Assertion `get_int () == 0x3a2f9be2' failed.

Printing the output of get_int() gives: 0xe29b2f3a


Version-Release number of selected component (if applicable): 1.2.2-4


How reproducible: always on koji-ppc64.


Additional info: fails on f22, f23 and rawhide.
Comment 1 Dan Horák 2016-01-04 04:52:31 EST
bug 1138804 (telegram-cli) is likely related
Comment 2 Jan Kurik 2016-02-24 09:13:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Rafael Fonseca 2016-08-11 10:43:12 EDT
purple-telegram >= 1.2.5-1 builds successfully, so closing this bug.

Note You need to log in before you can comment on or make changes to this bug.